[
  {
    "height": 50,
    "layer": "top",
    "output": "DP-1",
    "mod": "dock",
    "exclusive": true,
    "passtrough": false,
    "margin-top": 10,
    "margin-left": 17,
    "margin-bottom": 0,
    "margin-right": 17,
    "modules-left": [
      "custom/arch",
      "hyprland/workspaces",
      "cava",
      "custom/wf-recorder"
    ],
    "modules-center": ["custom/music"],
    "modules-right": [
      "custom/updates",
      "hyprland/language",
      "custom/weather",
      "clock",
      "pulseaudio",
      "custom/notifications"
    ],
    "custom/wf-recorder": {
      "format": "{}",
      "interval": "once",
      "exec": "echo ''",
      "tooltip": "false",
      "exec-if": "pgrep 'wf-recorder'",
      "on-click": "exec $HOME/.config/hypr/scripts/rofi/recording",
      "signal": 8
    },
    "custom/updates": {
      "format": "{} {icon}",
      "return-type": "json",
      "format-icons": {
        "has-updates": "󱍷",
        "updated": "󰂪"
      },
      "exec-if": "which waybar-module-pacman-updates",
      "exec": "waybar-module-pacman-updates",
      "on-click": "kitty --class center-float-large topgrade -k --only system",
      "on-click-right": "kitty --class center-float-large topgrade -k --no-self-update"
    },
    "custom/arch": {
      "format": "  ",
      "tooltip": false,
      "on-click": "sleep 0.1 && rofi -show drun",
      "on-click-right": "wleave"
    },
    "custom/weather": {
      "exec": "python3 ~/.config/waybar/scripts/weather.py",
      "restart-interval": 100,
      "return-type": "json",
      "on-click": "kitty --hold --class center-float wttr Alicante",
      "on-click-right": "kitty --hold --class center-float wttr -v2 Alicante",
      "on-click-middle": "xdg-open https://www.eltiempo.es/alicante.html"
    },
    "custom/notifications": {
      "tooltip": false,
      "format": "{} {icon}",
      "format-icons": {
        "notification": "<span foreground='red'><sup></sup></span>",
        "none": "",
        "dnd-notification": "<span foreground='red'><sup></sup></span>",
        "dnd-none": "",
        "inhibited-notification": "<span foreground='red'><sup></sup></span>",
        "inhibited-none": "",
        "dnd-inhibited-notification": "<span foreground='red'><sup></sup></span>",
        "dnd-inhibited-none": ""
      },
      "return-type": "json",
      "exec-if": "which swaync-client",
      "exec": "swaync-client -swb",
      "on-click": "sleep 0.1 && swaync-client -t -sw",
      "on-click-right": "swaync-client -d -sw",
      "escape": true
    },
    "hyprland/workspaces": {
      "disable-scroll": true,
      "all-outputs": false,
      "enable-bar-scroll": true,
      "format": "{icon}",
      "format-icons": {
        "1": "",
        "2": "",
        "3": "🖵",
        "4": "",
        "5": "",
        "6": "🎜",
        "7": "",
        "8": "",
        "9": "",
        "10": ""
      },
      "on-scroll-up": "hyprctl dispatch workspace r-1",
      "on-scroll-down": "hyprctl dispatch workspace r+1",
      "on-click": "activate",
      "sort-by-number": true
    },
    "hyprland/language": {
      "format": "{}",
      "format-en": "  US",
      "format-es": "  ES",
      "on-click": "hyprctl switchxkblayout evision-usb-device next"
    },
    "clock": {
      "tooltip-format": "<tt><small>{calendar}</small></tt>",
      "calendar": {
        "mode": "month",
        "mode-mon-col": 3,
        "weeks-pos": "right",
        "on-scroll": 1,
        "on-click-right": "mode",
        "format": {
          "months": "<span color='#eed49f'><b>{}</b></span>",
          "days": "<span color='#cad3f5'><b>{}</b></span>",
          "weeks": "<span color='#8aadf4'><b>W{}</b></span>",
          "weekdays": "<span color='#8bd5ca'><b>{}</b></span>",
          "today": "<span color='#ed8796'><b><u>{}</u></b></span>"
        }
      },
      "interval": 1,
      "format": "{:%H:%M:%OS}  ",
      "format-alt": "{:%A, %B %d, %Y}  ",
      "actions": {
        "on-click-right": "mode",
        "on-click-forward": "tz_up",
        "on-click-backward": "tz_down",
        "on-scroll-up": "shift_up",
        "on-scroll-down": "shift_down"
      },
      "on-click-middle": "thunderbird -calendar && hyprctl dispatch workspace 23"
    },
    "pulseaudio": {
      "format": "{icon} {volume}% {format_source}",
      "format-bluetooth": "{icon} {volume}% {format_source}",
      "format-bluetooth-muted": "   {volume}% {format_source}",
      "format-muted": "  {format_source}",
      "format-source": " ",
      "format-source-muted": " ",
      "format-icons": {
        "headphone": " ",
        "hands-free": " ",
        "headset": " ",
        "phone": " ",
        "portable": " ",
        "car": " ",
        "default": [" ", " ", " "]
      },
      "tooltip-format": "{desc}, {volume}%",
      "on-click": "swayosd-client --output-volume mute-toggle",
      "on-click-right": "swayosd-client --input-volume mute-toggle",
      "on-click-middle": "easyeffects",
      "on-scroll-up": "swayosd-client --output-volume +1",
      "on-scroll-down": "swayosd-client --output-volume -1"
    },
    "cava": {
      "autosens": 1,
      "bar_delimiter": 0,
      "bars": 18,
      "format-icons": [
        "<span foreground='#cba6f7'>▁</span>",
        "<span foreground='#cba6f7'>▂</span>",
        "<span foreground='#cba6f7'>▃</span>",
        "<span foreground='#cba6f7'>▄</span>",
        "<span foreground='#89b4fa'>▅</span>",
        "<span foreground='#89b4fa'>▆</span>",
        "<span foreground='#89b4fa'>▇</span>",
        "<span foreground='#89b4fa'>█</span>"
      ],
      "framerate": 75,
      "higher_cutoff_freq": 10000,
      "input_delay": 5,
      "lower_cutoff_freq": 50,
      "method": "pipewire",
      "monstercat": false,
      "reverse": false,
      "source": "auto",
      "stereo": true,
      "waves": false,
      "on-click": "kitty --class center-float-mini cava",
      "on-click-right": "qpwgraph"
    },
    "custom/music": {
      "format": "{icon} {}",
      "return-type": "json",
      "max-length": 100,
      "format-icons": {
        "spotify": " ",
        "default": " "
      },
      "escape": true,
      "exec": "$HOME/.config/waybar/scripts/mediaplayer.py 2> /dev/null",
      "on-click": "playerctl --player=spotify play-pause",
      "on-scroll-up": "playerctl --player=spotify next",
      "on-scroll-down": "playerctl --player=spotify previous"
    }
  },
  {
    "height": 50,
    "position": "bottom",
    "layer": "top",
    "output": "DP-3",
    "margin-left": 17,
    "margin-bottom": 10,
    "margin-right": 17,
    "modules-left": ["custom/arch", "hyprland/workspaces"],
    "modules-center": ["hyprland/window"],
    "modules-right": [
      "memory",
      "cpu",
      "temperature#cpu",
      "custom/gpu-usage",
      "temperature#gpu",
      "custom/notifications"
    ],
    "hyprland/window": {
      "format": "{}",
      "max-length": 80,
      "rewrite": {
        "(.*) — LibreWolf": "󰇧 $1",
        "(.*) - Discord": "󰙯 $1",
        "(.*) - fish": "> [$1]"
      },
      "separate-outputs": false
    },
    "custom/arch": {
      "format": "  ",
      "tooltip": false,
      "on-click": "sleep 0.1 && rofi -show drun",
      "on-click-right": "wleave"
    },
    "custom/notifications": {
      "tooltip": false,
      "format": "{} {icon}",
      "format-icons": {
        "notification": "<span foreground='red'><sup></sup></span>",
        "none": "",
        "dnd-notification": "<span foreground='red'><sup></sup></span>",
        "dnd-none": "",
        "inhibited-notification": "<span foreground='red'><sup></sup></span>",
        "inhibited-none": "",
        "dnd-inhibited-notification": "<span foreground='red'><sup></sup></span>",
        "dnd-inhibited-none": ""
      },
      "return-type": "json",
      "exec-if": "which swaync-client",
      "exec": "swaync-client -swb",
      "on-click": "sleep 0.1 && swaync-client -t -sw",
      "on-click-right": "swaync-client -d -sw",
      "escape": true
    },
    "hyprland/workspaces": {
      "disable-scroll": true,
      "active-only": false,
      "all-outputs": false,
      "enable-bar-scroll": true,
      "format": "{icon}",
      "format-icons": {
        "11": "",
        "12": "",
        "13": "🖵",
        "14": "",
        "15": "",
        "16": "🎜",
        "17": "",
        "18": "",
        "19": "",
        "20": ""
      },
      "on-scroll-up": "hyprctl dispatch workspace r-1",
      "on-scroll-down": "hyprctl dispatch workspace r+1",
      "on-click": "activate",
      "sort-by-number": true
    },
    "cpu": {
      "on-click": "kitty --class center-float-large btop",
      "format": "CPU: {usage}%",
      "tooltip": false,
      "interval": 2
    },
    "custom/gpu-usage": {
      "exec": "cat /sys/class/hwmon/hwmon1/device/gpu_busy_percent",
      "on-click": "kitty --class center-float-large nvtop",
      "format": "GPU: {}%",
      "return-type": "",
      "interval": 2
    },
    "memory": {
      "format": "{}%  ",
      "on-click": "kitty --class center-float-large btop",
      "tooltip": true,
      "interval": 2
    },
    "temperature#cpu": {
      "critical-threshold": 90,
      "on-click": "kitty --class center-float-large btop",
      "hwmon-path": "/sys/class/hwmon/hwmon2/temp1_input",
      "format-critical": "{icon} {temperatureC}°C",
      "format": "{icon} {temperatureC}°C",
      "format-icons": ["", "", ""],
      "tooltip": true,
      "interval": 2
    },
    "temperature#gpu": {
      "critical-threshold": 80,
      "on-click": "kitty --class center-float-large nvtop",
      "hwmon-path": "/sys/class/hwmon/hwmon1/temp1_input",
      "format-critical": "{icon} {temperatureC}°C",
      "format": "{icon} {temperatureC}°C",
      "format-icons": ["", "", ""],
      "tooltip": true,
      "interval": 2
    }
  },
  {
    "height": 50,
    "layer": "top",
    "output": "HDMI-A-1",
    "margin-top": 10,
    "margin-left": 17,
    "margin-bottom": 0,
    "margin-right": 17,
    "modules-left": ["custom/arch", "hyprland/workspaces"],
    "modules-center": ["clock#cl2"],
    "modules-right": ["tray", "custom/notifications"],
    "custom/arch": {
      "format": "  ",
      "tooltip": false,
      "on-click": "sleep 0.1 && rofi -show drun",
      "on-click-right": "wleave"
    },
    "custom/notifications": {
      "tooltip": false,
      "format": "{} {icon}",
      "format-icons": {
        "notification": "<span foreground='red'><sup></sup></span>",
        "none": "",
        "dnd-notification": "<span foreground='red'><sup></sup></span>",
        "dnd-none": "",
        "inhibited-notification": "<span foreground='red'><sup></sup></span>",
        "inhibited-none": "",
        "dnd-inhibited-notification": "<span foreground='red'><sup></sup></span>",
        "dnd-inhibited-none": ""
      },
      "return-type": "json",
      "exec-if": "which swaync-client",
      "exec": "swaync-client -swb",
      "on-click": "sleep 0.1 && swaync-client -t -sw",
      "on-click-right": "swaync-client -d -sw",
      "escape": true
    },
    "hyprland/workspaces": {
      "disable-scroll": true,
      "all-outputs": false,
      "enable-bar-scroll": true,
      "format": "{icon}",
      "format-icons": {
        "21": "",
        "22": "󰍨",
        "23": "✉",
        "24": "🖵",
        "25": "",
        "26": "",
        "27": "",
        "28": "",
        "29": "",
        "30": ""
      },
      "on-scroll-up": "hyprctl dispatch workspace r-1",
      "on-scroll-down": "hyprctl dispatch workspace r+1",
      "on-click": "activate",
      "sort-by-number": true
    },
    "tray": {
      "spacing": 10
    },
    "clock#cl2": {
      "tooltip-format": "<tt><small>{calendar}</small></tt>",
      "calendar": {
        "mode": "year",
        "mode-mon-col": 3,
        "weeks-pos": "right",
        "on-scroll": 1,
        "on-click-right": "mode",
        "format": {
          "months": "<span color='#eed49f'><b>{}</b></span>",
          "days": "<span color='#cad3f5'><b>{}</b></span>",
          "weeks": "<span color='#8aadf4'><b>W{}</b></span>",
          "weekdays": "<span color='#8bd5ca'><b>{}</b></span>",
          "today": "<span color='#ed8796'><b><u>{}</u></b></span>"
        }
      },
      "format": "{:%H:%M   - %A, %B %d, %Y  }",
      "actions": {
        "on-click-right": "mode",
        "on-click-forward": "tz_up",
        "on-click-backward": "tz_down",
        "on-scroll-up": "shift_up",
        "on-scroll-down": "shift_down"
      },
      "on-click-middle": "thunderbird -calendar && hyprctl dispatch workspace 23"
    }
  }
]
